
/* Class default theme */
._theme-color-default {
    color: #1e1872 !important;
}

._theme-color-header {
    color: #707070 !important;
}
/* Class default theme */

main:first-of-type {
    margin-top: 78px !important;
}

.text-highlight {
    color: var(--text-highlight) !important;
}

.text-main {
    color: var(--primary-color) !important;
}

.text-error {
    color: var(--text-error) !important;
}

.text-orange {
    color: var(--color-orange) !important;
}

.text-grey {
    color: var(--text-muted) !important;
}

.text-primary {
    color: var(--text-primary) !important;
}

.main-color {
    color: #1e1872 !important;
}

._project-basic-partial .ui.card {
    box-shadow: rgba(100, 100, 111, 0.2) 0px 4px 4px 0px;
    width: 100%;
}

.p-0 {
    padding: 0 !important;
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.--button-copy-to-clipboard {
    width: 20px;
    height: 20px;
    cursor: pointer;
}

.overflow-unset {
    overflow: unset !important;
}

.ui.modals.dimmer.inverted, .ui.modals.dimmer {
    background-color: rgba(0, 0, 0, 0.25) !important;
}

.ui.modal.tvnd-modal {
    border-radius: 30px !important;
}

    .ui.modal.tvnd-modal > .header {
        border-bottom: 0px;
        background: linear-gradient(3deg, #37A1D5 -19.67%, #1D546F 97.94%) !important;
        color: white !important;
        border-top-left-radius: 20px !important;
        border-top-right-radius: 20px !important;
        font-size: 1.2rem !important;
        font-weight: 500 !important;
    }

    .ui.modal.tvnd-modal .content {
        max-height: 75vh;
        overflow-y: auto;
        margin: 0;
        scrollbar-width: thin;
        scrollbar-color: rgba(148, 163, 184, .9) transparent;
        scrollbar-gutter: stable;
    }
        .ui.modal.tvnd-modal .content::-webkit-scrollbar {
            width: 10px;
        }

        .ui.modal.tvnd-modal .content::-webkit-scrollbar-track {
            background: transparent; 
            border-radius: 999px; 
            margin: 10px 0;
        }

        .ui.modal.tvnd-modal .content::-webkit-scrollbar-thumb {
            background: rgba(148, 163, 184, .9);
            border-radius: 999px; 
            border: 3px solid transparent; 
            background-clip: content-box; 
        }

            .ui.modal.tvnd-modal .content::-webkit-scrollbar-thumb:hover {
                background: rgba(100, 116, 139, .95);
                background-clip: content-box;
            }

    .ui.modal.tvnd-modal .actions {
        border-top: unset;
    }

    .ui.modal.tvnd-modal > :last-child {
        border-bottom-left-radius: 20px !important;
        border-bottom-right-radius: 20px !important;
        background: #fff;
    }

    .ui.modal.tvnd-modal > .close.icon {
        color: white !important;
        margin-right: 12px;
        top: 12px !important;
        right: 0 !important;
    }

._project-basic-partial .location,
._project-basic-partial.unit-area {
    font-size: small !important;
}

._project-basic-partial .ui.card .header {
    display: -webkit-box !important;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}

._project-basic-partial .status-label {
    margin-bottom: 16px;
    padding-top: 3px;
    padding-bottom: 3px;
    border-radius: 4px;
    cursor: default;
    width: 110px;
    display: flex;
    align-items: center;
    justify-content: center;
}

._project-basic-partial .thumbnail-avatar {
    aspect-ratio: 16/9;
}

._post-basic-partial .ui.card {
    /*box-shadow: rgba(17, 17, 26, 0.1) 0px 0px 16px;*/
    border: none;
    width: 100%;
}

._post-basic-partial .thumbnail-avatar {
    aspect-ratio: 16 / 9;
    object-fit: cover;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    filter: contrast(1.05);
    will-change: transform;
    object-position: center;
    width: 100%;
    image-rendering: -webkit-optimize-contrast;
    image-rendering: crisp-edges;
    -ms-interpolation-mode: bicubic;
    filter: contrast(105%) brightness(105%) saturate(110%);
    transform: translateZ(0);
    backface-visibility: hidden;
}

/*
._partial-post-small .image {
    max-width: 146px !important;
    aspect-ratio: 1/1;
    width: 100%;
    height: auto;
    object-fit: cover;
}*/

._post-basic-partial .location {
    font-size: small !important;
}

._post-basic-partial .dated {
    font-size: small !important;
}

._post-basic-partial .ui.card .header {
    display: -webkit-box !important;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}

/*Partial post info small*/
._partial-post-small {
    padding: 8px;
    margin-bottom: 8px;
    border-radius: 8px;
    border: 1px solid #dddddd;
}

    ._partial-post-small .image {
        max-width: 100px !important;
        aspect-ratio: 16 / 10;
        object-fit: cover;
        border-radius: 1rem !important;
    }

    ._partial-post-small .content {
        padding-left: 0.5em !important;
    }

    ._partial-post-small ._partial-post-title {
        display: -webkit-box !important;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: normal;
    }

    ._partial-post-small ._partial-post-address {
        margin-top: 8px !important;
        display: -webkit-box !important;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: normal;
    }
/*Partial post info small*/

.__post-type {
    width: 100% !important;
    border: 2px solid #fff !important;
    /*box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px !important;*/
    cursor: pointer !important;
    border-radius: 8px !important;
    position: relative;
}

    .__post-type:is(.selected) {
        border: 2px solid var(--text-highlight) !important;
        color: rgba(128, 203, 196, 0.1);
        background-color: rgba(128, 203, 196, 0.1) !important;
    }

    .__post-type:hover {
        border: 2px solid var(--text-highlight) !important;
        color: rgba(128, 203, 196, 0.1);
        background-color: rgba(128, 203, 196, 0.1) !important;
    }


.__tag-mormal {
    background: #C9D6FF !important; /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #E2E2E2, #C9D6FF) !important; /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #E2E2E2, #C9D6FF) !important; /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

.__tag-silver {
    background: -moz-linear-gradient( -72deg, #dedede, #ffffff 16%, #dedede 21%, #ffffff 24%, #454545 27%, #dedede 36%, #ffffff 45%, #ffffff 60%, #dedede 72%, #ffffff 80%, #dedede 84%, #a1a1a1 ) !important;
    background: -webkit-linear-gradient( -72deg, #dedede, #ffffff 16%, #dedede 21%, #ffffff 24%, #454545 27%, #dedede 36%, #ffffff 45%, #ffffff 60%, #dedede 72%, #ffffff 80%, #dedede 84%, #a1a1a1 ) !important;
    background: -o-linear-gradient( -72deg, #dedede, #ffffff 16%, #dedede 21%, #ffffff 24%, #454545 27%, #dedede 36%, #ffffff 45%, #ffffff 60%, #dedede 72%, #ffffff 80%, #dedede 84%, #a1a1a1 ) !important;
    background: linear-gradient( -72deg, #dedede, #ffffff 16%, #dedede 21%, #ffffff 24%, #454545 27%, #dedede 36%, #ffffff 45%, #ffffff 60%, #dedede 72%, #ffffff 80%, #dedede 84%, #a1a1a1 ) !important;
}

.__tag-gold {
    background: -moz-linear-gradient( -72deg, #ffc373, #ffffff 16%, #ffc373 21%, #ffffff 24%, #a17434 27%, #ffc373 36%, #ffffff 45%, #ffffff 60%, #ffc373 72%, #ffffff 80%, #ffc373 84%, #a17434 ) !important;
    background: -webkit-linear-gradient( -72deg, #ffc373, #ffffff 16%, #ffc373 21%, #ffffff 24%, #a17434 27%, #ffc373 36%, #ffffff 45%, #ffffff 60%, #ffc373 72%, #ffffff 80%, #ffc373 84%, #a17434 ) !important;
    background: -o-linear-gradient( -72deg, #ffc373, #ffffff 16%, #ffc373 21%, #ffffff 24%, #a17434 27%, #ffc373 36%, #ffffff 45%, #ffffff 60%, #ffc373 72%, #ffffff 80%, #ffc373 84%, #a17434 ) !important;
    background: linear-gradient( -72deg, #ffc373, #ffffff 16%, #ffc373 21%, #ffffff 24%, #a17434 27%, #ffc373 36%, #ffffff 45%, #ffffff 60%, #ffc373 72%, #ffffff 80%, #ffc373 84%, #a17434 ) !important;
}

.__tag-diamod {
    background: -moz-linear-gradient( -72deg, #dedeff, #ffffff 16%, #dedeff 21%, #ffffff 24%, #555564 27%, #dedeff 36%, #ffffff 45%, #ffffff 60%, #dedeff 72%, #ffffff 80%, #dedeff 84%, #555564 ) !important;
    background: -webkit-linear-gradient( -72deg, #dedeff, #ffffff 16%, #dedeff 21%, #ffffff 24%, #555564 27%, #dedeff 36%, #ffffff 45%, #ffffff 60%, #dedeff 72%, #ffffff 80%, #dedeff 84%, #555564 ) !important;
    background: -o-linear-gradient( -72deg, #dedeff, #ffffff 16%, #dedeff 21%, #ffffff 24%, #555564 27%, #dedeff 36%, #ffffff 45%, #ffffff 60%, #dedeff 72%, #ffffff 80%, #dedeff 84%, #555564 ) !important;
    background: linear-gradient( -72deg, #dedeff, #ffffff 16%, #dedeff 21%, #ffffff 24%, #555564 27%, #dedeff 36%, #ffffff 45%, #ffffff 60%, #dedeff 72%, #ffffff 80%, #dedeff 84%, #555564 ) !important;
}

.__card-post-days {
    position: relative;
    width: 220px !important;
    cursor: pointer !important;
}

    .__card-post-days:is(.selected) {
        border: 3px solid var(--primary-color) !important;
        border-radius: 8px;
    }

    .__card-post-days .content {
        width: 100%;
    }

.--button-deposit {
    width: 100%;
    margin: 0 !important;
    padding: .5rem 1rem !important;
    border: 2px solid var(--secondary-color) !important;
    color: var(--secondary-color) !important;
    background-color: white !important;
    display: flex !important;
    justify-content: center;
    align-items: center;
    gap: .5rem;
    flex-wrap: wrap;
}

    .--button-deposit:hover {
        background-color: rgba(76, 175, 80, 0.2) !important;
    }

.--button-create-post {
    width: 100%;
    margin-right: 0 !important;
    border: 2px solid var(--secondary-color) !important;
}

.tvnd-button {
    padding: .5rem !important;
    display: inline-flex !important;
    justify-content: center;
    align-items: center;
    gap: .5rem;
    font-weight: 500 !important;
    flex-wrap: wrap;
}

.label-hotsale {
    background: #db2828 !important;
    font-size: 11px !important;
    font-weight: 500 !important;
    color: white !important;
    float: right !important;
    position: absolute !important;
    top: 0 !important;
    right: 0 !important;
    margin-right: 0 !important;
    border-top-right-radius: 0.5rem !important;
}

.d-block {
    display: block !important;
}

.text-overflow-ellipsis {
    text-overflow: ellipsis;
}

.ui.radio.checkbox label:after {
    background-color: var(--text-highlight) !important;
}

.ui.checkbox input:checked ~ .box:after,
.ui.checkbox input:checked ~ label:after {
    color: var(--text-highlight) !important;
}

.tvnd-snackbar {
    display: none;
    min-width: 168px;
    max-height: 368px;
    text-align: center;
    border-radius: 4px;
    padding: 6px;
    position: fixed !important;
    z-index: 9999;
    left: 50%;
    transform: translate(-50%, 0);
    top: 86px;
    border-radius: 1.5rem !important;
    line-height: 1rem !important;
}

    .tvnd-snackbar.success {
        background-color: rgba(128, 203, 196, 0.1);
        color: #4CAF50;
    }

    .tvnd-snackbar.error {
        background-color: #FFF6F6;
        color: #9F3A38;
    }

    .tvnd-snackbar.active {
        display: block;
        animation: linear 0.33s;
        -webkit-animation: linear 0.33s;
    }

.tvnd-btn-svg {
    font-weight: 500 !important;
    padding: .5rem 1rem !important;
    margin: 0 !important;
    display: flex !important;
    flex-wrap: wrap;
    gap: .5rem;
    justify-content: center;
    align-items: center;
}

.tvnd-btn-default {
    border: 1px solid rgba(0, 0, 0, 0.65) !important;
    /*border: 1px solid var(--primary-color) !important;*/
    background: #fff !important;
    color: #000 !important;
    border-radius: 10rem !important;
    font-weight: 500 !important;
    margin: 0 !important;
}

    .tvnd-btn-default:hover {
        background: var(--btn-hover-color) !important;
    }

.tvnd-btn-danger {
    border: 1px solid var(--text-error) !important;
    background: #fff !important;
    color: var(--text-error) !important;
    border-radius: 10rem !important;
    font-weight: 500 !important;
    margin: 0 !important;
}

    .tvnd-btn-danger:hover {
        background: var(--btn-hover-color) !important;
    }

.tvnd-btn-square {
    padding: .5rem !important;
}

.tvnd-btn-circle {
    border-radius: 10rem !important;
}

.tvnd-btn-box {
    padding: 1rem !important;
    border-radius: 1rem !important;
    background: #fff !important;
    color: #000 !important;
    border: 1px solid rgba(0, 0, 0, 0.65) !important;
    position: relative;
}

    .tvnd-btn-box:hover {
        /*box-shadow: 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px !important;*/
        border: 1px solid rgba(0, 0, 0, 0.15) !important;
        background: var(--btn-hover-color) !important;
    }

.ui-alerts:not(:has(.message)) {
    display: none;
}

.ui-alerts .message .icon:not(.close) {
    margin-right: 0.28em !important;
    font-size: 1.5rem !important;
}

.ui-alerts .message {
    border-radius: 0.5rem !important;
}

.ui-alerts .icon .close {
    background-color: transparent;
    border: none;
    color: white;
}

.deposit-button-container {
    width: 200px;
}

#version-text {
    position: absolute;
    bottom: 0;
    left: 2px;
    font-size: 0.68rem;
    color: #757575;
}

[data-tooltip]:before {
    transform-origin: center top !important;
}

[data-tooltip]:after {
    font-size: 12px;
    padding: .5rem;
    border-radius: .5rem;
}

.box-scroll {
    overflow-x: auto;
    padding-bottom: 1px;
}

    .box-scroll::-webkit-scrollbar {
        height: 2px !important;
    }

.tvnd-tab_menu {
    padding: 1rem 0;
}

    .tvnd-tab_menu .menu {
        gap: 1rem;
        border: 0;
        box-shadow: none;
    }

    .tvnd-tab_menu .item {
        border: 1px solid rgba(34, 36, 38, 0.15) !important;
        border-radius: 10rem !important;
        margin: 0 !important;
        padding: .5rem 1rem !important;
        gap: 6px;
    }

        .tvnd-tab_menu .item:before {
            content: none !important;
        }

        .tvnd-tab_menu .item:hover {
            background-color: var(--secondary-color) !important;
            color: #fff !important;
        }

    .tvnd-tab_menu .active.item {
        background-color: var(--secondary-color) !important;
        color: #fff !important;
    }

.tvnd-btn-primary {
    border: 1px solid var(--secondary-color) !important;
    background: var(--secondary-color) !important;
    color: #fff !important;
    border-radius: 10rem !important;
}

    .tvnd-btn-primary:hover {
        opacity: 0.8;
    }

.tvnd-btn-red {
    /*position: relative;*/
    height: 38px;
    display: inline-block;
    border-radius: 8px;
    cursor: pointer;
    white-space: nowrap;
    width: fit-content;
    letter-spacing: -0.2px;
    background-color: rgb(255, 255, 255);
    padding: 12px;
    color: #e03c31;
    opacity: 1;
    border: 1px solid rgb(224, 60, 49);
}

    .tvnd-btn-red:hover {
        background-color: rgb(255, 236, 235);
        color: rgb(224, 60, 49);
        border: 1px solid rgb(224, 60, 49);
    }

.tvnd-btn-gray {
    /*position: relative;*/
    height: 38px;
    display: inline-block;
    border-radius: 8px;
    cursor: pointer;
    white-space: nowrap;
    width: fit-content;
    letter-spacing: -0.2px;
    background-color: rgb(255, 255, 255);
    padding: 14px 16px;
    color: rgb(44, 44, 44);
    opacity: 1;
    border: 1px solid rgb(204, 204, 204);
}

    .tvnd-btn-gray:hover {
        background-color: rgb(242, 242, 242);
        color: rgb(44, 44, 44);
        border: 1px solid rgb(204, 204, 204);
    }

.tvnd-btn-green {
    /*position: relative;*/
    height: 38px;
    display: inline-block;
    border-radius: 8px;
    cursor: pointer;
    white-space: nowrap;
    width: fit-content;
    letter-spacing: -0.2px;
    background-color: var(--secondary-color);
    padding: 14px 16px;
    color: rgb(255, 255, 255);
    opacity: 1;
    border: none;
}

    .tvnd-btn-green:hover {
        opacity: 0.8;
    }

.tvnd-divider {
    height: 0px;
    width: 100%;
    border-top: 1px solid rgb(242, 242, 242);
    margin: 1rem 0;
}

.tvnd-btn-transparent {
    position: relative;
    height: 32px;
    display: inline-block;
    border-radius: 4px;
    cursor: pointer;
    white-space: nowrap;
    width: fit-content;
    letter-spacing: -0.2px;
    background-color: transparent;
    padding: 6px 12px;
    color: var(--secondary-color);
    opacity: 1;
    border: none;
}

    .tvnd-btn-transparent:hover {
        background-color: rgb(242, 242, 242);
        color: var(--secondary-color);
        border: none;
    }


.text-align-left{
    text-align:left;
}

.tvnd-dropdown-radius {
    padding: 15px 20px !important;
    border: solid 1px #c1c9d2 !important;
    border-radius: 25px !important;
}

    .tvnd-dropdown-radius > input.search {
        margin-top: 3px !important;
    }

    .tvnd-dropdown-radius > i.dropdown.icon {
        margin-top: -5px !important;
    }


.tvnd-dropdown-radius.active {
    border-bottom-left-radius: 0em !important;
    border-bottom-right-radius: 0em !important;
}

.tvnd-noboder {
    border: none !important;
}
.text-align-right {
    text-align: right;
}


@keyframes zoom-inout {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.1);
    }

    100% {
        transform: scale(1);
    }
}

.animation-zoom {
    animation-name: zoom-inout;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    animation-fill-mode: both;
}

@media only screen and (max-width: 992px) {
    main:first-of-type {
        margin-top: 40px !important;
    }

    #version-text {
        display: none;
    }
}


@media only screen and (max-width: 767px) {

    body ::-webkit-scrollbar {
        width: 4px !important;
    }

    .ui.stackable.grid > .row > .column.column-mobile {
        padding: 0 !important;
    }

    .tvnd-btn-box {
        padding: .5rem 1rem !important;
    }
}
/* Màn hình điện thoại */
@media screen and (max-width: 480px) {
    main:first-of-type {
        margin-top: 2rem !important;
    }

        main:first-of-type .sixteen.wide.column.stackable,
        main:first-of-type .eleven.wide.column.stackable,
        main:first-of-type .five.wide.column.stackable {
            padding-left: 0 !important;
            padding-right: 0 !important;
        }
}
/* Màn hình máy tính bảng */
@media screen and (max-width: 768px) {
    main:first-of-type {
        margin-top: 2rem !important;
    }

    #menu-user {
        display: none;
    }

    .ui.modal.tvnd-modal > .close.icon {
        top: 6px !important;
    }
}
/* Màn hình nhỏ hơn 1200px (Laptop hoặc Desktop nhỏ) */
@media screen and (max-width: 1200px) {
}
/* Màn hình nhỏ hơn 1200px (Laptop hoặc Desktop nhỏ) */
@media screen and (min-width: 1204px) {
}

._post-basic-partial .content {
    padding: 1rem !important;
}

._post-basic-partial .ui.raised.segments,
._post-basic-partial .ui.raised.segment {
    box-shadow: none !important;
    margin: 0;
    padding: 0;
    border: none;
    border-radius: 8px !important;
    aspect-ratio: 16 / 9;
}

._post-basic-partial .ui.ribbon.label:after {
    border-width: 0em 0.3em 0.3em 0em !important;
}

._post-basic-partial .ribbon-label {
    padding: 5px !important;
    position: absolute !important;
    left: 5px !important;
    top: 5px !important;
    z-index: 1;
    font-weight: 400 !important;
    border-radius: 1rem !important;
}

    ._post-basic-partial .ribbon-label::after {
       display:none;
    }

._post-basic-partial .ui.label > img {
    height: 1.1666em !important;
    width: 1.1666em !important;
}

._post-basic-partial .ui.label {
    display: flex;
}

.post-media--overview {
    position: absolute;
    bottom: 0;
    width: 100%;
    background: rgba(0, 0, 0, 0);
    color: white;
    padding: 8px 8px;
    border-radius: 4px;
    font-size: 14px;
    display: flex;
    align-items: center;
    font-weight: 500;
    justify-content: end;
}

    .post-media--overview .align-items {
        display: flex !important;
        align-items: center !important;
        gap: 6px;
        z-index: 2;
        margin-bottom: 4px;
        margin: 0;
    }

    .post-media--overview::after {
        position: absolute;
        width: 100%;
        height: 40px;
        left: 0px;
        bottom: 0px;
        background: linear-gradient(180deg, rgba(44, 44, 44, 0) 0%, #2c2c2c 108.75%);
        content: '';
        z-index: 1;
        /*border-bottom-left-radius: 4px;*/
    }
.post-silver .post-media--overview::after, .post-standard .post-media--overview::after, .post-expired .post-media--overview::after {
    border-bottom-left-radius: 1rem !important;
}
    html, body, body * {
    -webkit-user-select: text !important;
    user-select: text !important;
    -webkit-touch-callout: default !important;
}